package com.yd.api.agms.vo.tag;

/**
 * @author xxy
 * @date 2021年06月21日 23:41
 */
public class TagUpdateRequestVO {
    private Long id;

    private Long configLevel;

    private Long upperTagId;

    private String tagName;

    private Integer isActive;

    private Long loginId;

    /**
     * Gets the value of id. *
     *
     * @return the value of id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id. *
     * <p>You can use getId() to get the value of id</p>
     * * @param id id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the value of configLevel. *
     *
     * @return the value of configLevel
     */
    public Long getConfigLevel() {
        return configLevel;
    }

    /**
     * Sets the configLevel. *
     * <p>You can use getConfigLevel() to get the value of configLevel</p>
     * * @param configLevel configLevel
     */
    public void setConfigLevel(Long configLevel) {
        this.configLevel = configLevel;
    }

    /**
     * Gets the value of upperTagId. *
     *
     * @return the value of upperTagId
     */
    public Long getUpperTagId() {
        return upperTagId;
    }

    /**
     * Sets the upperTagId. *
     * <p>You can use getUpperTagId() to get the value of upperTagId</p>
     * * @param upperTagId upperTagId
     */
    public void setUpperTagId(Long upperTagId) {
        this.upperTagId = upperTagId;
    }

    /**
     * Gets the value of tagName. *
     *
     * @return the value of tagName
     */
    public String getTagName() {
        return tagName;
    }

    /**
     * Sets the tagName. *
     * <p>You can use getTagName() to get the value of tagName</p>
     * * @param tagName tagName
     */
    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    /**
     * Gets the value of isActive. *
     *
     * @return the value of isActive
     */
    public Integer getIsActive() {
        return isActive;
    }

    /**
     * Sets the isActive. *
     * <p>You can use getIsActive() to get the value of isActive</p>
     * * @param isActive isActive
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * Gets the value of loginId. *
     *
     * @return the value of loginId
     */
    public Long getLoginId() {
        return loginId;
    }

    /**
     * Sets the loginId. *
     * <p>You can use getLoginId() to get the value of loginId</p>
     * * @param loginId loginId
     */
    public void setLoginId(Long loginId) {
        this.loginId = loginId;
    }

    @Override
    public String toString() {
        return "TagUpdateRequestVO{" +
                "id=" + id +
                ", configLevel=" + configLevel +
                ", upperTagId=" + upperTagId +
                ", tagName='" + tagName + '\'' +
                ", isActive=" + isActive +
                ", loginId=" + loginId +
                '}';
    }
}
